cannot open/import eps files

Bug #166262 reported by Bug Importer on 2005-02-01
0
Affects Status Importance Assigned to Milestone
Inkscape
Medium
Unassigned

Bug Description

I am using inkscape 0.40 both under Debian sid and Fink
in MacOs X. On both platforms when I try either to
import or to open an eps file I get a message "failed
to load the requested file ...".
In the console the message reads:
"/home/vaccaro/Desktop/setup1_phase.eps:1: parser error
: Start tag expected, '<' not found
%!PS-Adobe-3.0 EPSF-3.0"

so I guess inkscape is thinking is an xml file.

Attached you find the file I am trying to open

Regards

my e-mail address is

legrimpeur@_NO-SPAM_gmail.com

Bug Importer (bug-importer) wrote :

You need to install software used by eps import extension.
I think that includes Sketch and pstoedit.

Bug Importer (bug-importer) wrote :

Such bug reports will continue to arise until Inkscape
either provides an instructive message when trying to open
EPS files without having the required software installed or
just adding this software to the distribution.

Bryce Harrington (bryce) wrote :

Inkscape is advertised as an SVG editor, not an EPS editor.

It's certainly true that it would be a more useful tool if
it also had really good support for EPS, but at this time it
does not, nor do we have developers with interest in
Postscript/EPS. Our best option would be to create a plugin
to use scribus' EPS import/export, or to extract their code.

Bug Importer (bug-importer) wrote :

The Inkscape website says "It imports formats such as
Postscript, EPS, JPEG, PNG, and TIFF and exports PNG as well
as multiple vector-based formats." If this is not true or
misleading the statemet should be corrected.

Bug Importer (bug-importer) wrote :

The final note about sketch and pstoedit saved the day for me.

inkscape WILL continue to get bug reports on this eps import
feature until it fails in an explanatory manner.

Having eps mysteriously not appear on the open-menu
filetypes is "neat" but puzzling.

Sam

In a duplicate of this bug (1180226 Can't open .eps file.)
it was also suggested that ghostscript be installed.

praedor: Do you have sketch/skencil and ghostscript
installed? (They need to be installed, as well as
pstoedit.)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.